import { Block } from '../../models/block';
import { FlowLabels } from '../../models/labels';
import { ModuleFlow } from '../../models/module';
export declare class BceFlowEditor implements FlowLabels {
    private el;
    value: ModuleFlow;
    block: Block;
    current: string;
    currentVersion: string;
    existing?: string[];
    private onNode;
    private onComplete;
    labelTitle: string;
    labelSubtitle: string;
    labelOptionEnd: string;
    labelOptionNext: string;
    labelOptionConditional: string;
    labelActionEnd: string;
    labelActionOpen: string;
    labelActionDelete: string;
    labelActionAdd: string;
    labelConditionScreen: string;
    labelConditionOther: string;
    private get conditionTemplate();
    private get tree();
    private get next();
    private get end();
    private handleInput;
    private handleEndInput;
    private handleConditionInput;
    private handleCompleteModule;
    private handleShowBlock;
    private handleDeleteBlock;
    private handleAddBlock;
    private getLabel;
    renderEnd(): any;
    renderSingleCtrl(): any[];
    renderConditionalCtrl(): any[];
    renderCtrl(): any[];
    renderFooter(): any[];
    render(): any[];
}
